Bug 1278592 - Bad default for email_from in automatic.conf
Bad default for email_from in automatic.conf
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-05 16:53 EST by Ville Skyttä
Modified: 2016-01-04 14:52 EST (History)
6 users (show)

See Also:
Fixed In Version: dnf-1.1.5-1.fc23 dnf-1.1.5-1.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-22 16:59:34 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2015-11-05 16:53:34 EST
automatic.conf defaults email_from to root@localhost.com. I don't think this is an appropriate default. If you want to have a domain there, here are some better alternatives:

root@localhost
root@localhost.localdomain
root@example.com

...or plain domainless root, like dnf.automatic.main.EmailConfig has. If it's something else than just root in automatic.conf, dnf.automatic.main.EmailConfig should probably have the same default.
Comment 1 Jaroslav Mracek 2015-11-09 08:15:41 EST
We can fix it with root@example.com
Comment 2 Fedora Update System 2015-12-18 12:46:57 EST
dnf-plugins-core-0.1.15-1.fc23 dnf-1.1.5-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-c72cd24fa0
Comment 3 Fedora Update System 2015-12-18 12:48:42 EST
dnf-plugins-core-0.1.15-1.fc22 dnf-1.1.5-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-1bb112ccc6
Comment 4 Fedora Update System 2015-12-19 14:59:34 EST
dnf-1.1.5-1.fc23, dnf-plugins-core-0.1.15-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update dnf dnf-plugins-core'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-c72cd24fa0
Comment 5 Fedora Update System 2015-12-22 10:35:17 EST
dnf-1.1.5-1.fc22, dnf-plugins-core-0.1.15-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-1bb112ccc6
Comment 6 Fedora Update System 2015-12-22 16:58:49 EST
dnf-1.1.5-1.fc23, dnf-plugins-core-0.1.15-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2016-01-04 14:52:08 EST
dnf-1.1.5-1.fc22, dnf-plugins-core-0.1.15-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.